@echo off
rem
rem FIXFLASH.CMD - Placed in the Public Domain 2006 R L Walsh
rem
echo .
echo This will patch Flash v7 to enable sound when LIBPATHSTRICT is in effect.
echo This file and 'fixflash.pat' MUST be in the same directory as 'flashwin.dll'
echo (typically, this is your Mozilla plugins directory)
echo .
pause
echo .

:step1
if exist fixflash.pat goto step2
echo Can't find file 'fixflash.pat'
goto end

:step2
if exist flashwin.dll goto step3
echo Can't find file 'flashwin.dll'
goto end

:step3
if not exist flashwin.bak goto step4
echo File 'flashwin.bak' already exists, so the original dll may already be patched.
echo If you continue, your current copy of 'flashwin.dll' will NOT be backed up.
echo .
pause
echo .
goto step5

:step4
copy flashwin.dll flashwin.bak > NUL
if not errorlevel 1 goto step5
echo Unable to backup file 'flashwin.dll'
goto end

:step5
patch fixflash.pat /a

:end
echo .
pause